
Packaging - Feature #4788

Plugin rpms not signed

03/23/2014 10:34 PM - Glen Ogilvie

Status: New   

Priority: Normal   

Assignee:    

Category: RPMs   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The RPM at:

http://yum.theforeman.org/plugins/latest/el6/x86_64/ruby193-rubygem-foreman_hooks-0.3.7-1.el6.noarch.rpm

has not been signed.  I would expect it to be signed with the foreman GPG key.

Name        : ruby193-rubygem-foreman_hooks  Relocations: (not relocatable)

Version     : 0.3.7                             Vendor: Koji

Release     : 1.el6                         Build Date: Thu 27 Feb 2014 04:16:12 NZDT

Install Date: (not installed)               Build Host: koji.katello.org

Group       : Applications/System           Source RPM: ruby193-rubygem-foreman_hooks-0.3.7-1.el6.

src.rpm

Size        : 40934                            License: GPLv3

Signature   : (none)

Packager    : Koji

URL         : http://github.com/theforeman/foreman_hooks

Summary     : Run custom hook scripts on Foreman events

Related issues:

Has duplicate Packaging - Bug #21069: yum repo foreman-plugins installed with... Duplicate

Associated revisions

Revision c79747b4 - 05/30/2018 07:42 PM - Ewoud Kohl van Wijngaarden

Load yum.theforeman.org via HTTPS

Nightlies and plugins are not signed via GPG. When loading this via

HTTPS we at least gain some confidence.

History

#1 - 03/24/2014 08:19 AM - Dominic Cleal

- Project changed from Foreman to Packaging

- Subject changed from ruby193-rubygem-foreman_hooks rpm not signed to Plugin rpms not signed

- Category deleted (Packaging)

This is by design at the moment, as signing requires manual intervention and plugin RPM builds get automatically pushed.  I'll see if there's any way

we can automate it, or regularly do some manual signing.

#2 - 05/27/2015 11:18 AM - Dominic Cleal

- Difficulty deleted (trivial)

#3 - 06/08/2016 04:11 PM - Aaron Copley

Dominic Cleal wrote:
http://yum.theforeman.org/plugins/latest/el6/x86_64/ruby193-rubygem-foreman_hooks-0.3.7-1.el6.noarch.rpm


This is by design at the moment, as signing requires manual intervention and plugin RPM builds get automatically pushed.  I'll see if there's any

way we can automate it, or regularly do some manual signing.

 If you cannot sign the packages, you could consider enabling HTTPS in Yum repository baseurls provided by foreman-release? I notice that the Quick

Start steps have you install foreman-release itself via HTTPS already. (Of course signing the RPM is still preferred.)

#4 - 05/28/2018 07:46 PM - Ewoud Kohl van Wijngaarden

We do have HTTPS enabled on yum.theforeman.org but don't use it by default in the repos. It should be easy to change the URLs as a first step. The

hard part will be to figure out where we all use this but the foreman-release + the manual should cover most usages.

#5 - 09/26/2018 11:29 AM - Ewoud Kohl van Wijngaarden

- Has duplicate Bug #21069: yum repo foreman-plugins installed with no security added

#6 - 09/26/2018 11:34 AM - Ewoud Kohl van Wijngaarden

Starting with c79747b4ae6e34fd69e9019b320a79347e263c71 (1.18) we do default to https in the release RPM. The puppet-foreman module will

default to https starting 10.0.0. It doesn't solve this issue, but at least reduces its impact.

#7 - 02/12/2020 08:13 PM - Eric Helms

- Tracker changed from Bug to Feature

- Priority changed from Low to Normal

#8 - 04/23/2020 01:30 PM - Zach Huntington-Meath

- Triaged changed from No to Yes

#9 - 04/23/2020 01:31 PM - Zach Huntington-Meath

- Category set to RPMs
